<!-- Translate example -->
<!-- <div translate="HELLO"></div> -->
<!-- <div translate>HELLO</div> -->
<!-- <div>{{ 'HELLO' | translate }}</div> -->
<!-- <h2>{{ 'HOME.TITLE' | translate }}</h2> -->

<ng-template #cartModal let-modal>
        <div class="modal-header">
            <h4 class="modal-title" id="modal-basic-title" translate="cart.title"></h4>
            <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <form *ngIf="isCartFilled">
                <div class="form-group" *ngFor="let item of itemsCart">
                    <label for="tituloId" translate="cart.item.title"></label>
                    <input id="tituloId" class="form-control" name="titulo" [disabled]="true" [(ngModel)]="item.title">
                    <br />
                    <label for="descricaoId" translate="cart.item.desc"></label>
                    <input id="descricaoId" class="form-control" name="descricao" [disabled]="true" [(ngModel)]="item.descripton">
                    <br />
                    <br />
                </div>
            </form>
    
            <div *ngIf="!isCartFilled">
                <label translate="cart.item.emptyMsg"></label>
            </div>

            <!-- <pre>{{ itemsCart | json }}</pre> -->
    
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-success" (click)="onClickNovo()" translate="cart.confirm"></button>
            <button type="button" class="btn" (click)="modal.dismiss('Cross click')" translate="cart.close"></button>
        </div>
</ng-template>

<nav class="navbar navbar-expand-lg fixed-top navbar-transparent " color-on-scroll="500">
    <div class="container">

        <div class="row">
            <p *ngFor="let alert of alerts">
                <ngb-alert [type]="alert.type" (close)="close(alert)" [ngClass]="alert.cssClass">
                        {{ alert.message }}
                </ngb-alert>
            </p>
        </div>

        <div class="spinner-border text-primary" role="status">
            <span class="sr-only"></span>
        </div>

        <div class="navbar-translate" *ngIf="user.type === 'LOGOFF'">
            <a [routerLink]="['/home']" class="navbar-brand" translate="menu.home"></a>
            <a [routerLink]="['/cardapio']" class="navbar-brand" translate="menu.items"></a>
            <a [routerLink]="['/nos']" class="navbar-brand" translate="menu.keep-in-touch"></a>

            <button class="navbar-toggler navbar-burger" type="button" data-toggle="collapse" data-target="#navbarToggler" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation" (click)="sidebarToggle()">
                <span class="navbar-toggler-bar"></span>
                <span class="navbar-toggler-bar"></span>
                <span class="navbar-toggler-bar"></span>
            </button>
        </div>

        <div class="navbar-translate" *ngIf="user.type === 'CLIENT'">
            <a [routerLink]="['/home']" class="navbar-brand" translate="menu.home"></a>
            <a [routerLink]="['/cardapio']" class="navbar-brand" translate="menu.items"></a>
            <a [routerLink]="['/pedidos-cliente']" class="navbar-brand" translate="menu.manage-orders"></a>

            <button class="navbar-toggler navbar-burger" type="button" data-toggle="collapse" data-target="#navbarToggler" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation" (click)="sidebarToggle()">
                <span class="navbar-toggler-bar"></span>
                <span class="navbar-toggler-bar"></span>
                <span class="navbar-toggler-bar"></span>
            </button>
        </div>

        <div class="navbar-translate" *ngIf="user.type === 'ADMIN'">
            <a [routerLink]="['/pedidos']" class="navbar-brand" translate="menu.manage-orders-adimn"></a>
            <a [routerLink]="['/item']" class="navbar-brand" translate="menu.manage-items"></a>

            <button class="navbar-toggler navbar-burger" type="button" data-toggle="collapse" data-target="#navbarToggler" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation" (click)="sidebarToggle()">
                <span class="navbar-toggler-bar"></span>
                <span class="navbar-toggler-bar"></span>
            </button>
        </div>

        <div class="navbar-collapse" id="navbarToggler" *ngIf="user.type === 'LOGOFF'">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a [routerLink]="['/register']" class="btn btn-outline-danger btn-round" translate="menu.register"></a>
                </li>
                <li class="nav-item">
                    <a [routerLink]="['/login']" class="btn btn-danger btn-round" translate="menu.login"></a>
                </li>
            </ul>
        </div>

        <div class="navbar-collapse" id="navbarToggler" *ngIf="user.type !== 'LOGOFF'">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a (click)="onLogoff()" class="btn btn-danger btn-round" translate="menu.exit"></a>
                    </li>
                </ul>
        </div>

        <div class="navbar-collapse" id="navbarToggler" *ngIf="user.type === 'CLIENT'">
            <ul class="navbar-nav ml-auto">
                <button type="button" class="btn btn-danger btn-just-icon" (click)="onClickCart()">
                    <i class="fa fa-shopping-cart"></i>
                </button>                
            </ul>
        </div>

    </div>
</nav>
